API reference
Mark Today items
today_mark — Mark mentions (notification ids) and conversations (thread ids) of the account's Today list as done, later (back tomorrow 07:00 account time) or clear the mark.
today_mark · Changes an X-Buddy setting
Mark mentions (notification ids) and conversations (thread ids) of the account's Today list as done, later (back tomorrow 07:00 account time) or clear the mark. Use ids from today_list.
| REST | POST /api/public/v1/accounts/{account}/today/marks |
| MCP tool | today_mark |
| Permission needed | accounts.run — Owner, Manager, Operator |
| Scope group | accounts:read |
| Group | Growth |
| Shown up front in profiles | Operate X accounts |
Input
| Field | Type | Required | Description |
|---|---|---|---|
account |
string (1–100 chars) | Yes | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
items |
array of object (1–100 items) | Yes | |
state |
done · later · clear |
Yes |
Result
Returns the operation's result in the { data, meta } envelope.
Needs an idempotency key (Idempotency-Key, 8–128 characters). Retrying with the same key never repeats the action.
Example
Call over REST
curl -X POST "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/today/marks" \
-H "Authorization: Bearer $XBUDDY_API_KEY" \
-H "Idempotency-Key: 6f1c2a90-example-key" \
-H "Content-Type: application/json" \
-d '{"items":[{"kind":"notification","id":"00000000-0000-4000-8000-000000000001"}],"state":"done"}'
Call over MCP
{
"method": "tools/call",
"params": {
"name": "today_mark",
"arguments": {
"account": "@your_x_account",
"items": [
{
"kind": "notification",
"id": "00000000-0000-4000-8000-000000000001"
}
],
"state": "done",
"idempotency_key": "6f1c2a90-example-key"
}
}
}
Errors you may get
| Code | HTTP | Retryable |
|---|---|---|
unauthorized |
401 | No |
key_expired |
401 | No |
integration_revoked |
401 | No |
connection_not_linked |
403 | No |
integration_paused |
403 | No |
workspace_integrations_paused |
403 | No |
integration_authorization_lost |
403 | No |
workspace_suspended |
403 | No |
forbidden |
403 | No |
invalid_input |
422 | No |
rate_limited |
429 | Yes |
internal |
500 | Yes |
read_only |
403 | No |
idempotency_key_required |
428 | No |
idempotency_conflict |
409 | No |
idempotency_processing |
409 | Yes |
conflict |
409 | No |
precondition_failed |
422 | No |
ambiguous_account |
409 | No |
account_not_allowed |
403 | No |
not_found |
404 | No |